Legend for external layers

property

  {string} name

property

  {string} url

property

  {string} title

### Hierarchy

- OGC
  - GmfExternalDatasourceOGC

## Index

### Constructors

- constructor

### Accessors

- activeDimensions
- combinableForWFS
- combinableForWMS
- copyable
- dimensions
- filterCondition
- id
- identifierAttribute
- legend
- maxResolution
- minResolution
- name
- ogcAttributesWFS
- ogcAttributesWMS
- ogcImageType
- ogcServerType
- ogcType
- queryIconPosition
- queryable
- snappable
- snappingToEdges
- snappingToVertice
- snappingTolerance
- supportsAttributes
- supportsDynamicInRange
- supportsWFS
- supportsWMS
- supportsWMTS
- timeAttributeName
- timeProperty
- timeRangeValue
- wfsFeatureNS
- wfsFeaturePrefix
- wfsFormat
- wfsLayers
- wfsOutputFormat
- wfsUrl
- wmsFormat
- wmsInfoFormat
- wmsIsSingleTile
- wmsLayers
- wmsUrl
- wmtsLayer
- wmtsUrl

### Methods

- combinableWithDataSourceForWFS
- combinableWithDataSourceForWMS
- geometryName
- getAttributes
- getCommonOGCAttributes_
- getFiltrableWFSLayerName
- getInRangeWFSLayerNames
- getWFSLayerNames
- getWMSLayerNames
- haveTheSameActiveDimensions
- haveTheSameActiveDimensionsFilters
- isAnyOGCLayerInRange
- setAttributes

## Constructors

### constructor

- new GmfExternalDatasourceOGC(options: OGCOptions, legend: Legend): GmfExternalDatasourceOGC

- Overrides OGC.__constructor

  - Defined in contribs/gmf/src/datasource/ExternalOGC.js:32

  A `gmf.externalDatasource.OGC` extends a `ngeo.datasource.OGC` and adds some properties that are proper to GMF and external dataSource only.

  #### Parameters

  - ##### options: OGCOptions

    Options.

  - ##### legend: Legend

    The legend object.

  #### Returns GmfExternalDatasourceOGC

## Accessors

### activeDimensions

- get activeDimensions(): Object

- Inherited from OGC.activeDimensions

  - Defined in src/datasource/OGC.js:811

  #### Returns Object

  Active dimensions

### combinableForWFS

- get combinableForWFS(): boolean

- Inherited from OGC.combinableForWFS

  - Defined in src/datasource/OGC.js:843

  A data source can't be combined to other data source to issue a single WFS request if:

  - it has filter rules set
  - it has time range set
  override

  #### Returns boolean

  Whether the data source can be combined to an other data source to fetch features in a single WFS request.

### combinableForWMS

- get combinableForWMS(): boolean

- Inherited from OGC.combinableForWMS

  - Defined in src/datasource/OGC.js:858

  A data source can't be combined to other data source to issue a single WMS request if:

  - it has filter rules set
  - it has time range set
  override

  #### Returns boolean

  Whether the data source can be combined to an other data source to fetch features in a single WMS request.

### copyable

- get copyable(): boolean

- Inherited from OGC.copyable

  - Defined in src/datasource/OGC.js:627

  #### Returns boolean

  Copyable

### dimensions

- get dimensions(): Object

- Inherited from OGC.dimensions

  - Defined in src/datasource/OGC.js:562

  #### Returns Object

  Current dimensions to use for this data source

### filterCondition

- get filterCondition(): string
- set filterCondition(filterCondition: string): void

- Inherited from OGC.filterCondition

  - Defined in src/datasource/OGC.js:569

  #### Returns string

  Filter condition

- Inherited from OGC.filterCondition

  - Defined in src/datasource/OGC.js:576

  #### Parameters

  - ##### filterCondition: string

    Filter condition

  #### Returns void

  Filter condition

### id

- get id(): number

- Inherited from DataSource.id

  - Defined in src/datasource/DataSource.js:165

  #### Returns number

  Id

### identifierAttribute

- get identifierAttribute(): string

- Inherited from DataSource.identifierAttribute

  - Defined in src/datasource/DataSource.js:172

  #### Returns string

  Identifier attribute

### legend

- get legend(): Legend

- - Defined in contribs/gmf/src/datasource/ExternalOGC.js:52

  #### Returns Legend

  legend objects

### maxResolution

- get maxResolution(): number

- Inherited from DataSource.maxResolution

  - Defined in src/datasource/DataSource.js:179

  #### Returns number

  Maximum resolution

### minResolution

- get minResolution(): number

- Inherited from DataSource.minResolution

  - Defined in src/datasource/DataSource.js:186

  #### Returns number

  Minimum resolution

### name

- get name(): string

- Inherited from DataSource.name

  - Defined in src/datasource/DataSource.js:193

  #### Returns string

  Name

### ogcAttributesWFS

- get ogcAttributesWFS(): Object

- Inherited from OGC.ogcAttributesWFS

  - Defined in src/datasource/OGC.js:868

  Returns the ogc attributes of only the WFS layers of this data source that are queryable.

  #### Returns Object

### ogcAttributesWMS

- get ogcAttributesWMS(): Object

- Inherited from OGC.ogcAttributesWMS

  - Defined in src/datasource/OGC.js:887

  Returns the ogc attributes of only the WMS layers of this data source that are queryable.

  #### Returns Object

### ogcImageType

- get ogcImageType(): string

- Inherited from OGC.ogcImageType

  - Defined in src/datasource/OGC.js:658

  #### Returns string

  OGC image type

### ogcServerType

- get ogcServerType(): string

- Inherited from OGC.ogcServerType

  - Defined in src/datasource/OGC.js:679

  #### Returns string

  OGC server type

### ogcType

- get ogcType(): string

- Inherited from OGC.ogcType

  - Defined in src/datasource/OGC.js:686

  #### Returns string

  OGC type

### queryIconPosition

- get queryIconPosition(): number[]

- Inherited from OGC.queryIconPosition

  - Defined in src/datasource/OGC.js:693

  #### Returns number[]

  The queryIconPosition

### queryable

- get queryable(): boolean

- Inherited from OGC.queryable

  Overrides DataSource.queryable

  - Defined in src/datasource/OGC.js:905

  Whether the data source is queryable or not. For an OGC data source to be queryable, it requires the support of WFS or WMS and at least one ogc layer to be querable.

  #### Returns boolean

### snappable

- get snappable(): boolean

- Inherited from OGC.snappable

  - Defined in src/datasource/OGC.js:700

  #### Returns boolean

  Snappable

### snappingToEdges

- get snappingToEdges(): boolean

- Inherited from OGC.snappingToEdges

  - Defined in src/datasource/OGC.js:707

  #### Returns boolean

  Snapping to edges

### snappingToVertice

- get snappingToVertice(): boolean

- Inherited from OGC.snappingToVertice

  - Defined in src/datasource/OGC.js:714

  #### Returns boolean

  Snapping to vertices

### snappingTolerance

- get snappingTolerance(): number

- Inherited from OGC.snappingTolerance

  - Defined in src/datasource/OGC.js:721

  #### Returns number

  Snapping tolerance

### supportsAttributes

- get supportsAttributes(): boolean

- Inherited from OGC.supportsAttributes

  - Defined in src/datasource/OGC.js:941

  To be able to do advanced operations on a data source, such as editing or filtering, a data source must be bound to 1 set of attributes. These attributes are the ones defined by an ogcLayer. This means that to be considered to support having attributes defined, you either need to define them directly when creating the data source, or if you let the querent service get them for you using a WFS DescribeFeatureType request, the data source must have only 1 ogcLayer set, which must be queryable.

  #### Returns boolean

  Supports attributes.

### supportsDynamicInRange

- get supportsDynamicInRange(): boolean

- Inherited from DataSource.supportsDynamicInRange

  - Defined in src/datasource/DataSource.js:213

  #### Returns boolean

  Whether the data source supports a dynamic `inRange` property or not, i.e. whether it can be calculated.

### supportsWFS

- get supportsWFS(): boolean

- Inherited from OGC.supportsWFS

  - Defined in src/datasource/OGC.js:926
  override

  #### Returns boolean

  Whether the data source supports making WFS requests or not.

### supportsWMS

- get supportsWMS(): boolean

- Inherited from OGC.supportsWMS

  - Defined in src/datasource/OGC.js:956
  override

  #### Returns boolean

  Whether the data source supports making WMS requests or not.

### supportsWMTS

- get supportsWMTS(): boolean

- Inherited from OGC.supportsWMTS

  - Defined in src/datasource/OGC.js:964

  #### Returns boolean

  Whether the data source supports making WTMS requests or not.

### timeAttributeName

- get timeAttributeName(): string

- Inherited from OGC.timeAttributeName

  - Defined in src/datasource/OGC.js:728

  #### Returns string

  Time attribute name

### timeProperty

- get timeProperty(): TimeProperty

- Inherited from OGC.timeProperty

  - Defined in src/datasource/OGC.js:735

  #### Returns TimeProperty

  Time property

### timeRangeValue

- get timeRangeValue(): TimeRange
- set timeRangeValue(range: TimeRange): void

- Inherited from OGC.timeRangeValue

  - Defined in src/datasource/OGC.js:583

  #### Returns TimeRange

  Time range value

- Inherited from OGC.timeRangeValue

  - Defined in src/datasource/OGC.js:602

  #### Parameters

  - ##### range: TimeRange

    Time range value

  #### Returns void

  Time range value

### wfsFeatureNS

- get wfsFeatureNS(): string

- Inherited from OGC.wfsFeatureNS

  - Defined in src/datasource/OGC.js:742

  #### Returns string

  WFS feature namespace

### wfsFeaturePrefix

- get wfsFeaturePrefix(): string

- Inherited from OGC.wfsFeaturePrefix

  - Defined in src/datasource/OGC.js:749

  #### Returns string

  WFS feature prefix

### wfsFormat

- get wfsFormat(): WFS

- Inherited from OGC.wfsFormat

  - Defined in src/datasource/OGC.js:971

  #### Returns WFS

  WFS format.

### wfsLayers

- get wfsLayers(): WFSLayer[]

- Inherited from OGC.wfsLayers

  - Defined in src/datasource/OGC.js:672

  #### Returns WFSLayer[]

  WFS layers

### wfsOutputFormat

- get wfsOutputFormat(): string

- Inherited from OGC.wfsOutputFormat

  - Defined in src/datasource/OGC.js:756

  #### Returns string

  WFS output format

### wfsUrl

- get wfsUrl(): string

- Inherited from OGC.wfsUrl

  - Defined in src/datasource/OGC.js:763

  #### Returns string

  WFS url

### wmsFormat

- get wmsFormat(): ArcGISGeoJSON | WMSGetFeatureInfo

- Inherited from OGC.wmsFormat

  - Defined in src/datasource/OGC.js:978

  #### Returns ArcGISGeoJSON | WMSGetFeatureInfo

  WMS format.

### wmsInfoFormat

- get wmsInfoFormat(): string

- Inherited from OGC.wmsInfoFormat

  - Defined in src/datasource/OGC.js:770

  #### Returns string

  WMS info format

### wmsIsSingleTile

- get wmsIsSingleTile(): boolean

- Inherited from OGC.wmsIsSingleTile

  - Defined in src/datasource/OGC.js:777

  #### Returns boolean

  WMS is single tile

### wmsLayers

- get wmsLayers(): WMSLayer[]

- Inherited from OGC.wmsLayers

  - Defined in src/datasource/OGC.js:665

  #### Returns WMSLayer[]

  WMS layers

### wmsUrl

- get wmsUrl(): string

- Inherited from OGC.wmsUrl

  - Defined in src/datasource/OGC.js:785
  override

  #### Returns string

  WMS url

### wmtsLayer

- get wmtsLayer(): string

- Inherited from OGC.wmtsLayer

  - Defined in src/datasource/OGC.js:792

  #### Returns string

  WMTS layer

### wmtsUrl

- get wmtsUrl(): string

- Inherited from OGC.wmtsUrl

  - Defined in src/datasource/OGC.js:800
  override

  #### Returns string

  WMTS url

## Methods

### combinableWithDataSourceForWFS

- combinableWithDataSourceForWFS(dataSource: OGC): boolean

- Inherited from OGC.combinableWithDataSourceForWFS

  - Defined in src/datasource/OGC.js:992
  override

  #### Parameters

  - ##### dataSource: OGC

    Data source.

  #### Returns boolean

  Whether this data source can be combined to the given other data source to fetch features in a single WFS request.

### combinableWithDataSourceForWMS

- combinableWithDataSourceForWMS(dataSource: OGC): boolean

- Inherited from OGC.combinableWithDataSourceForWMS

  - Defined in src/datasource/OGC.js:1012
  override

  #### Parameters

  - ##### dataSource: OGC

    Data source.

  #### Returns boolean

  Whether this data source can be combined to the given other data source to fetch features in a single WMS request.

### geometryName

- geometryName(layer: string): string

- Inherited from OGC.geometryName

  - Defined in src/datasource/OGC.js:635

  #### Parameters

  - ##### layer: string

    The layer name.

  #### Returns string

  Geometry name

### getAttributes

- getAttributes(): Attribute[]

- Inherited from DataSource.getAttributes

  - Defined in src/datasource/DataSource.js:151

  #### Returns Attribute[]

  Attributes

### getCommonOGCAttributes_

- getCommonOGCAttributes_(layerNames: string[]): Object

- Inherited from OGC.getCommonOGCAttributes_

  - Defined in src/datasource/OGC.js:1243

  Collect the ogc attributes that are shared among the given layers, i.e. only the attributes that are in all the given layers are returned.

  Among the attributes, geometry columns are returned as well. Therefore, if there are no attributes with a geometry name returned, then the Filter tool have the possibilily to filter the data source using spatial filters.

  #### Parameters

  - ##### layerNames: string[]

    List of layer names

  #### Returns Object

### getFiltrableWFSLayerName

- getFiltrableWFSLayerName(): string

- Inherited from OGC.getFiltrableWFSLayerName

  - Defined in src/datasource/OGC.js:1115

  Returns the filtrable WFS layer name.

  Although a data source may contain multiple WFS wfs layers, only the first one is returned. We don't need to return more than one, since in that case a group is used in the WMS GetMap query, and each queryable layers will end up being used in WFS GetData queries sent.

  #### Returns string

  WFS layer name.

### getInRangeWFSLayerNames

- getInRangeWFSLayerNames(res: number, queryableOnly?: boolean): string[]

- Inherited from OGC.getInRangeWFSLayerNames

  - Defined in src/datasource/OGC.js:1064

  Returns a list of WFS layer names that are in range of a given resolution. If there's no WFS layers defined, an empty array is returned.

  #### Parameters

  - ##### res: number

    Resolution.

  - ##### Default value queryableOnly: boolean = false

    Whether to additionally check if the WFS layer is queryable as well or not. Defaults to `false`.

  #### Returns string[]

  The WFS layer names that are in range.

### getWFSLayerNames

- getWFSLayerNames(queryableOnly?: boolean): string[]

- Inherited from OGC.getWFSLayerNames

  - Defined in src/datasource/OGC.js:1090

  Returns the list of WFS layer names.

  #### Parameters

  - ##### Default value queryableOnly: boolean = false

    Whether to additionally check if the WFS layer is queryable as well or not. Defaults to `false`.

  #### Returns string[]

  The WFS layer names.

### getWMSLayerNames

- getWMSLayerNames(queryableOnly?: boolean): string[]

- Inherited from OGC.getWMSLayerNames

  - Defined in src/datasource/OGC.js:1042

  Returns the list of WMS layer names.

  #### Parameters

  - ##### Default value queryableOnly: boolean = false

    Whether to additionally check if the WMS layer is queryable as well or not. Defaults to `false`.

  #### Returns string[]

  The WMS layer names.

### haveTheSameActiveDimensions

- haveTheSameActiveDimensions(dataSource: OGC): boolean

- Inherited from OGC.haveTheSameActiveDimensions

  - Defined in src/datasource/OGC.js:1148
  override

  #### Parameters

  - ##### dataSource: OGC

    Remote data source to compare with this one.

  #### Returns boolean

  Whether the two data sources have the same active dimensions. If both have no dimensions, they are considered to be sharing the same dimensions.

### haveTheSameActiveDimensionsFilters

- haveTheSameActiveDimensionsFilters(dataSource: OGC): boolean

- Inherited from OGC.haveTheSameActiveDimensionsFilters

  - Defined in src/datasource/OGC.js:1186

  Compare active dimensions filters of two data sources. As OpenLayers WFS format does not allow constructing multiple typenames GetFeature request with different filters we need to combine data sources depending on active dimensions filters.

  export
  override

  #### Parameters

  - ##### dataSource: OGC

    Remote data source to compare with this one.

  #### Returns boolean

  Whether the two data sources have the same active dimensions filters. If both have no dimensions, they are considered to be sharing the same dimensions filters.

### isAnyOGCLayerInRange

- isAnyOGCLayerInRange(res: number, queryableOnly?: boolean): boolean

- Inherited from OGC.isAnyOGCLayerInRange

  - Defined in src/datasource/OGC.js:1032

  Check if there's at least one OGC layer in range of a given resolution.

  #### Parameters

  - ##### res: number

    Resolution.

  - ##### Default value queryableOnly: boolean = false

    Whether to additionally check if the OGC layer is queryable as well or not. Defaults to `false`.

  #### Returns boolean

  At least one OGC layer is in range.

### setAttributes

- setAttributes(attributes: Attribute[]): void

- Inherited from OGC.setAttributes

  Overrides DataSource.setAttributes

  - Defined in src/datasource/OGC.js:619

  #### Parameters

  - ##### attributes: Attribute[]

    Attributes

  #### Returns void

Generated using TypeDoc